Bug 963637 - Failed to git push after executing V2 migration for jbosseap-6.0 application
Failed to git push after executing V2 migration for jbosseap-6.0 application
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 06:02 EDT by joycezhang
Modified: 2015-05-14 19:11 EDT (History)
0 users

See Also:
Fixed In Version: devenv_3236
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:58:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2013-05-16 06:02:06 EDT
Description of problem:
After executing v2 migration,failed to git push for jbosseap-6.0 application with following error :
remote: /var/lib/openshift/795129256919581979574272/jbosseap//bin/util: line 13: /var/lib/openshift/795129256919581979574272/jbosseap//env/JAVA_HOME: Permission denied
remote: An error occured executing the 'postreceive' command. For more details about the problem, try running the command again with the '--trace' option.

Version-Release number of selected component (if applicable):
Upgrading devenv-stage_353 to devenv_3232 and migrate

How reproducible:
always

Steps to Reproduce:
1. Launch devenv-stage_353
2. Create a jbosseap-6.0 app
3. Add V1 marker to node
touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3232 instance to same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Clear the broker cache
rake tmp:clear
9. Restart the rhc-broker and mcollective
10. Run migrate-mongo-2.0.28 
11. Run rhc-admin-migrate --version 2.0.28
12.Git clone the app
13.Change something and git push
  
Actual results:
git push failed as below
# gitpush
[master 5aed98b] test
 1 file changed, 1 insertion(+), 1 deletion(-)
Counting objects: 11, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (6/6), 438 bytes, done.
Total 6 (delta 4), reused 0 (delta 0)
remote: Stopping jbosseap cart
remote: Sending SIGTERM to jboss:20039 ...
remote: Stopping jbosseap cart
remote: /var/lib/openshift/795129256919581979574272/jbosseap//bin/util: line 13: /var/lib/openshift/795129256919581979574272/jbosseap//env/JAVA_HOME: Permission denied
remote: An error occured executing the 'postreceive' command. For more details about the problem, try running the command again with the '--trace' option.
To ssh://795129256919581979574272@eap1-dmtest1.dev.rhcloud.com/~/git/eap1.git/
   d42fb44..5aed98b  master -> master

Expected results:
It should be successfull.

Additional info:
Comment 1 Dan Mace 2013-05-16 16:52:25 EDT
Resolved by https://github.com/openshift/li/pull/1398
Comment 2 openshift-github-bot 2013-05-16 18:12:47 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/38d64df3221acb1618a59e5ab4339a3802a79407
Bug 963637: Fix configure order during migrations
Comment 3 joycezhang 2013-05-17 06:35:49 EDT
Verified after migration from devenv-stage_353 to devenv_3238 for jbosseap app.
It can git push successfully for jbosseap-6.0 app.

Note You need to log in before you can comment on or make changes to this bug.